Inicio / Alerta Temprana / Avisos Sci / Desbordamiento de pila en Unitronics VisiLogic OPLC

Desbordamiento de pila en Unitronics VisiLogic OPLC

Fecha de publicación: 
27/06/2016
Importancia: 
5 - Crítica
Recursos afectados: 
  • Visilogic versiones anteriores a 9.8.30
Descripción: 

Zero Day Initiative (ZDI) ha publicado una vulnerabilidad descubierta por el investigador Steven Seeley en Unitronics VisiLogic, que permite ejecutar código de forma arbitraria en el dispositivo afectado.

Solución: 

Actualizar a Visilogic version 9.8.30 o superior.

Detalle: 

Se produce un desbordamiento de pila al procesar ficheros vlp, ya que no se valida la longitud de ciertas cadenas cuando se copian a memoria. Es posible explotar esta vulnerabilidad de forma remota.

Se ha asignado el identificador CVE-2016-4519 a esta vulnerabilidad.